#include <bits/stdc++.h>
using namespace std;
#define ll long long

int main()
{

    int n,m;
    cin >> n >> m;
    char a[n][m];
    for(int i=1; i<=n; i++)
        for(int j=1; j<=m; j++)
            cin >> a[i][j];

    cout << -1;
    return 0;
}